Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590066 - [RHEL5] "iostat -p" command doesn't work well with interval and count parameter
[RHEL5] "iostat -p" command doesn't work well with interval and count parameter
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat (Show other bugs)
5.0
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 12:02 EDT by huachen
Modified: 2010-05-10 06:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 06:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description huachen 2010-05-07 12:02:36 EDT
Description of problem:

"iostat -p" command doesn't work well with interval and count parameter. 
For example, I try "iostat -p sda 1 3", which is with 1 second interval and 3 counts. It works well to show proper data for the first count. But in the last two count, it shows all 0 data.


Version-Release number of selected component (if applicable):
sysstat-7.0.0-3.el5


How reproducible: Always.

Steps to Reproduce:
1. iostat -p sda 1 3
  
Actual results:
[root@lhc ~]# iostat -p sda 1 3
Linux 2.6.18-8.el5 (lhc)        2010年05月07日

avg-cpu:  %user   %nice %system %iowait  %steal   %idle
           3.94    0.86   17.88    4.12    0.00   73.20

Device:            tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
sda              12.60       309.84        80.87    1544009     402982
sda2             22.67       309.24        80.85    1541021     402888
sda1              0.27         0.52         0.02       2612         94

avg-cpu:  %user   %nice %system %iowait  %steal   %idle
           7.00    0.00    6.00    0.00    0.00   87.00

Device:            tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
sda               0.00         0.00         0.00          0          0
sda2              0.00         0.00         0.00          0          0
sda1              0.00         0.00         0.00          0          0

avg-cpu:  %user   %nice %system %iowait  %steal   %idle
           7.00    0.00    6.00    0.00    0.00   87.00

Device:            tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
sda               0.00         0.00         0.00          0          0
sda2              0.00         0.00         0.00          0          0
sda1              0.00         0.00         0.00          0          0

[root@lhc ~]# 


Expected results:
It should work well for every count.
Comment 1 huachen 2010-05-07 12:07:22 EDT
[root@lhc ~]# uname -a
Linux lhc 2.6.18-8.el5 #1 SMP Fri Jan 26 14:15:21 EST 2007 i686 i686 i386 GNU/Linux
[root@lhc ~]#
[root@lhc ~]# rpm -qf `which iostat`
sysstat-7.0.0-3.el5
[root@lhc ~]#
Comment 2 huachen 2010-05-09 03:21:47 EDT
Any update?
Comment 3 huachen 2010-05-09 03:23:46 EDT
Any update?
Comment 4 Ivana Varekova 2010-05-10 05:16:52 EDT
Hello, 
this behaviour can be ok, if there is not big r/w activity. Please what is the iostat  -p sda 1 3
output if you run some dd process in parallel 
(e.g. dd of=/tmp/delete_me if=/dev/zero bs=1M count=1000 )
?
Comment 5 huachen 2010-05-10 05:59:57 EDT
Thanks very much!
Yes, it works well if dd option. May this bug be closed?
Comment 6 Ivana Varekova 2010-05-10 06:13:40 EDT
Thanks, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.